ClosureCellEditor (groovy 2.4.9 API)
Date: 2017-02-24

Package: groovy.swing.impl

## [Groovy] Class ClosureCellEditor

- groovy.swing.impl.ClosureCellEditor

- All Implemented Interfaces and Traits:
    TableCellEditor, TreeCellEditor

      class ClosureCellEditor
      extends AbstractCellEditor

  Authors:
    Alexander Klein

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map<String, Closure>` | `callbacks`
    `List` | `children`
    `int` | `column`
    `boolean` | `defaultEditor`
    `Closure` | `editorValue`
    `boolean` | `expanded`
    `boolean` | `leaf`
    `Closure` | `prepareEditor`
    `int` | `row`
    `boolean` | `selected`
    `JTable` | `table`
    `JTree` | `tree`
    `Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureCellEditor (Closure c = null, Map<String, Closure> callbacks = [:])`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getCellEditorValue()`
    `` | `Component` | `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
    `` | `Component` | `getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
    `` | `Object` | `invokeMethod(String name, Object args)`
    `` | `void` | `setEditorValue(Closure editorValue)`
    `` | `void` | `setPrepareEditor(Closure prepareEditor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCellEditor` | `isCellEditable, getCellEditorListeners, shouldSelectCell, addCellEditorListener, cancelCellEditing, removeCellEditorListener, stopCellEditing, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getCellEditorValue`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Map<String, Closure> callbacks

    - #### List children

    - #### int column

    - #### boolean defaultEditor

    - #### Closure editorValue

    - #### boolean expanded

    - #### boolean leaf

    - #### Closure prepareEditor

    - #### int row

    - #### boolean selected

    - #### JTable table

    - #### JTree tree

    - #### Object value

  - ### Constructor Detail

    - #### ClosureCellEditor(Closure c = null, Map<String, Closure> callbacks = [:])

  - ### Method Detail

    - #### @Override Object getCellEditorValue()

    - #### @Override Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)

    - #### Component getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)

    - #### @Override Object invokeMethod(String name, Object args)

    - #### void setEditorValue(Closure editorValue)

    - #### void setPrepareEditor(Closure prepareEditor)